Bug 1467866 - [v2v] automation request status is not updated at all
[v2v] automation request status is not updated at all
Status: CLOSED CURRENTRELEASE
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers (Show other bugs)
5.8.0
Unspecified Unspecified
high Severity high
: GA
: 5.9.0
Assigned To: Shmuel Melamud
Ilanit Stein
rhev, v2v
: TestOnly, ZStream
Depends On:
Blocks: 1469226
  Show dependency treegraph
 
Reported: 2017-07-05 07:24 EDT by Ilanit Stein
Modified: 2018-03-06 09:34 EST (History)
7 users (show)

See Also:
Fixed In Version: 5.9.0.1
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
: 1469226 (view as bug list)
Environment:
Last Closed: 2018-03-06 09:34:21 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: Bug
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: RHEVM


Attachments (Terms of Use)
production.log (52.57 KB, application/x-gzip)
2017-07-05 07:59 EDT, Ilanit Stein
no flags Details
automation.log (38.53 KB, application/x-gzip)
2017-07-05 07:59 EDT, Ilanit Stein
no flags Details
evm.log (702.78 KB, application/x-gzip)
2017-07-05 08:00 EDT, Ilanit Stein
no flags Details
engine.log (207.48 KB, application/x-gzip)
2017-07-05 08:00 EDT, Ilanit Stein
no flags Details

  None (edit)
Description Ilanit Stein 2017-07-05 07:24:59 EDT
Description of problem:
CFME: When running 'Transform this VM to RHV', and go to Automate->Requests,
The request Last message after few minutes turns into:
"[EVM] VM [<VM name on VMware>] Step [WaitForImport] Status [VM Import completed] Message [Checking for VM Import completion] Current Retry Number [1]"
 
It is reporting "Status [VM Import completed]" right from the start!
This same last message appear for hours (with the retry number increasing).

Even if the v2v operation fails immediately,
and even if the v2v operation end up successfully. 

Version-Release number of selected component (if applicable):
CFME-5.8.1.0/RHV-4.1.3

How reproducible:
100%

Steps to Reproduce:
1.
2.
3.

Actual results:
Request status is set to  "[VM Import completed]", only few minutes, after v2v operation is triggered.

Expected results:
Request status should reflect: Error in v2v, the progress stage, in case the v2v operation is indeed progressing 

Additional info:
Comment 2 Ilanit Stein 2017-07-05 07:59 EDT
Created attachment 1294554 [details]
production.log
Comment 3 Ilanit Stein 2017-07-05 07:59 EDT
Created attachment 1294555 [details]
automation.log
Comment 4 Ilanit Stein 2017-07-05 08:00 EDT
Created attachment 1294556 [details]
evm.log
Comment 5 Ilanit Stein 2017-07-05 08:00 EDT
Created attachment 1294557 [details]
engine.log
Comment 6 Martin Betak 2017-07-10 07:35:20 EDT
Yes this request to be in the state WaitForImport which has incorrectly set on_exit handler as: update_vm_import_status(status => 'VM Import completed') where it should be in fact "Check for import completed" or such  and not "the whole import has been completed.

This logical error is also present in on_exit handlers in different states in the manageiq-content/content/automate/ManageIQ/Infrastructure/VM/Transform/StateMachines/VmImport.class/__class__.yaml state machine.

Should be a simple textual fix.
Comment 7 Martin Betak 2017-07-10 08:12:55 EDT
Although I admit it is a bit confusing, I don't think this textual inaccuracy should not qualify as *blocker* and could be fixed in next z-stream.
Comment 10 Ilanit Stein 2018-01-01 08:08:57 EST
Verified on CFME-5.9.0.14/RHV-4.1.8,

When a VM starts to get imported, in the Automate Request a message with 
Status ["Waiting for VM Import completion"]
and not as before (Status ["VM Import completed"]).

Then if import fails, in the Automate Request a message with 
Status [Error encountered during VM import] Message [Checking for VM Import completion]

Note You need to log in before you can comment on or make changes to this bug.